/// 直播频道(裁图)配置
///
/// [block] or [blockList] 必填其一
class LiveChannelConfig {
  LiveChannelConfig({
    this.block,
    this.blockList,
  }) : assert(block != null || (blockList != null && blockList.isNotEmpty));

  /// 绘制区块
  LiveChannelDrawBlock? block;

  /// 绘制区块集合
  List<LiveChannelDrawBlock>? blockList;
}

class LiveChannelDrawBlock {
  LiveChannelDrawBlock({
    this.sourceX = 0,
    this.sourceY = 0,
    required this.sourceCropWidth,
    required this.sourceCropHeight,
    this.destX = 0,
    this.destY = 0,
    required this.destDrawWidth,
    required this.destDrawHight,
  });

  /// 源 X轴位置
  final double sourceX;

  /// 源 Y轴位置
  final double sourceY;

  /// 源 裁剪宽度
  final double sourceCropWidth;

  /// 源 裁剪高度
  final double sourceCropHeight;

  /// 目标 X轴位置
  final double destX;

  /// 目标 Y轴位置
  final double destY;

  /// 目标 裁剪宽度
  final double destDrawWidth;

  /// 目标 裁剪高度
  final double destDrawHight;
}
