import 'package:fis_live/controller/controller.dart';
import 'package:flutter/widgets.dart';

import 'style.dart';

class LiveShareDateProxy extends InheritedWidget {
  const LiveShareDateProxy({
    super.key,
    required super.child,
    required this.controller,
    this.style,
  });

  /// 控制器
  final LiveController controller;

  /// 直播样式
  final LivePlayerStyle? style;

  static LiveShareDateProxy? of(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType<LiveShareDateProxy>();
  }

  @override
  bool updateShouldNotify(covariant LiveShareDateProxy oldWidget) {
    return oldWidget.controller != controller || oldWidget.style != style;
  }
}
